Bug 1020893 - Non-free/problematic karts included
Summary: Non-free/problematic karts included
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-10-18 13:08 UTC by mejiko
Modified: 2017-12-04 16:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-04 16:55:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2013-10-18 13:08:36 UTC
Hello.

supertuxkart included non-free karts.
This is "Adiumy", "emule" and "beastie".

"Adiumy" (Adium logo) and "emule" (emule logo) logo license is GPL. (I think). but this karts is CC-BY-SA, Its license incompatible.

URI:

http://sourceforge.net/p/emule/code/ci/default/tree/res/
https://github.com/adium/adium/tree/master/Resources/Dock%20Icons/Adiumy%20Green.AdiumIcon


"beastie" is BSD Daemon, but BSD daemon copyright license is non-free, because very very restrictive.


URI:

http://www.freebsd.org/copyright/daemon.html
http://www.mckusick.com/beastie/mainpage/copyright.html


Suggests:

1. Remove non-free karts and rebuild.

2. Relace fedora free (Fedora Acceptable licensed) karts.

3. contact copyright author.

4. Remove Fedora repos.


Thanks.

Comment 1 mejiko 2013-10-18 13:09:08 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Igor Gnatenko 2014-01-11 06:40:31 UTC
From this options I'd like 3.

I'm newbie in the legal questions. What I should ask ?

Comment 3 Tom "spot" Callaway 2014-01-22 20:13:34 UTC
With regards to the BSD daemon, you (or upstream) need to ask Marshall Kirk McKusick <mckusick@mckusick.com> for his permission to use the daemon artwork. He'll probably grant it.

For the emule and adium carts, there are no trademarks in play and the kart artwork does not appear to be copied from the logo art in those applications. 
Combined with the relative age of these cases (almost 10 years now), I do not think these are a concern.

Comment 4 mejiko 2014-03-03 11:08:41 UTC
(In reply to Igor Gnatenko from comment #2)
> I'm newbie in the legal questions. What I should ask ?

See comment 3 details.

Comment 5 mejiko 2014-03-15 10:11:15 UTC
How it this bug current status ? 
Is this bug is resolved ?

Thanks.

Comment 6 Jaroslav Reznik 2015-03-03 16:56:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 7 Tom "spot" Callaway 2015-12-07 14:44:54 UTC
Igor, either remove the BSD kart or ask for permission from the artist (Marshall Kirk McKusick <mckusick@mckusick.com>) for us to use it in this game.

Comment 8 Jan Kurik 2016-02-24 13:13:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 mejiko 2016-08-06 12:43:36 UTC
Is this bug is resolved ?
Thanks.

Comment 10 mejiko 2016-12-30 12:30:59 UTC
Additional non-free kart is found. This is "Puffy".
Puffy is OpenBSD mascot, and This copyright statement is non-free.

https://www.openbsd.org/art1.html

Reason:

1. This copyright statement is not allowed "any purpose" use.

2. This copyright statement is not allowed sell.

3. This copyright statement is not allowed modify. (copyright law is not allowed modifying to copyrighted material except has written permission from copyright owner)


Thanks.

Comment 11 Fedora End Of Life 2017-02-28 09:35:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 12 mejiko 2017-11-19 07:04:36 UTC
Is this bug is resolved ?
Thanks.

Comment 13 Igor Gnatenko 2017-11-20 12:40:19 UTC
(In reply to mejiko from comment #12)
> Is this bug is resolved ?
Working on it now.

Comment 14 Igor Gnatenko 2017-11-22 22:59:42 UTC
So beastie is resolved. Copyright owner gave exception. Rest is still on the way.

Comment 15 Igor Gnatenko 2017-11-22 23:02:17 UTC
(In reply to mejiko from comment #10)
> Additional non-free kart is found. This is "Puffy".
> Puffy is OpenBSD mascot, and This copyright statement is non-free.
> 
> https://www.openbsd.org/art1.html
> 
> Reason:
> 
> 1. This copyright statement is not allowed "any purpose" use.
> 
> 2. This copyright statement is not allowed sell.
> 
> 3. This copyright statement is not allowed modify. (copyright law is not
> allowed modifying to copyrighted material except has written permission from
> copyright owner)

Where did you found this? trying to find it too.

Tom, have opinion on puffy?

Comment 16 Tom "spot" Callaway 2017-12-04 16:15:52 UTC
I've emailed Theo DeRaadt to see if he will give permission.

Comment 17 Tom "spot" Callaway 2017-12-04 16:54:04 UTC
Okay. Theo is:

* not the copyright holder on this work (nor is he claiming a copyright on the design)
* not interested in "enforcing a trademark against someone else's work"

I also just found this ticket, where the copyright holder and licensing information for the puffy kart is established:

https://github.com/supertuxkart/stk-code/issues/2630

Given that there are no copyright or trademark concerns, and the licensing (CC-BY-SA) is okay for Fedora, there is no issue with inclusion of the "puffy" kart.

Comment 18 Igor Gnatenko 2017-12-04 16:55:57 UTC
Great, so closing then.

Thanks a lot, Tom!


Note You need to log in before you can comment on or make changes to this bug.